<?php

session_start();
require __DIR__ . "/../db/database.php";

// Iegūst atsauksauksmes datus
$review = $_POST['review'];
$rating = $_POST['star'];
$book_id = $_POST['bookid'];
$user_id = $_SESSION['user_id'];

// Veic pārbaudi, kur pārbauda, vai konkrētais lietotājs ir pievienojis atsauksmi zem konkrētās grāmatas. 
$query_check = "SELECT id FROM reviews WHERE id_user = ? AND id_book = ?";
$statement_check = $mysqli->prepare($query_check);
$statement_check->bind_param("ii", $user_id, $book_id);
$statement_check->execute();
$result = $statement_check->get_result();

// Pārbauda, vai lietotāja atsauksme jau eksistē pie noteiktās grāmatas
if ($result->num_rows > 0) {
    // Ja lietotājs ir iepriekš pievienojis atsauksmi, atsauksme tiek atjaunināta. 
    $query_update = "UPDATE reviews SET rating = ?, description = ? WHERE id_user = ? AND id_book = ?";
    $statement_update = $mysqli->prepare($query_update);
    $statement_update->bind_param("isii", $rating, $review, $user_id, $book_id);
    $success = $statement_update->execute();
    //Izvada paziņojumu par veiksmīgu atsauksmes pievienošanu un atjauno lapu. 
    echo '<script>
            alert("Atsauksme ir veiksmīgi pievienota! ");
        </script>';
        header("Refresh: 0; url= http://localhost/projectlasitava/review/review.php?bookId=". $book_id);
        exit;

} else {
    // Ja lietotājs nav iepriekš pievienojis atsauksmi, tiek pievienota jauna atsauksme
    $query_insert = "INSERT INTO reviews (rating, description, id_user, id_book) VALUES (?, ?, ?, ?)";
    $statement_insert = $mysqli->prepare($query_insert);
    $statement_insert->bind_param("isii", $rating, $review, $user_id, $book_id);  
    $success = $statement_insert->execute();
    // Izvada paziņojumu par veiksmīgu atsauksmes atjaunošanu un atjauno lapu.
    echo '<script>
            alert("Atsauksme ir veiksmīgi atjaunotota! ");
         </script>';
        header("Refresh: 0; url= http://localhost/projectlasitava/review/review.php?bookId=". $book_id);
    exit;
}



